Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class NumberToken

    java.lang.Object
      com.novell.xml.xpath.Token
          com.novell.xml.xpath.NumberToken

    public class NumberToken

extends Token

Class representing a number token in XPath expression language

See Also:
  `Scanner`

Field Summary

Fields inherited from class com.novell.xml.xpath.Token
`AT, AXIS_NAME, COLON_COLON, COMMA, DOT, DOT_DOT, FUNCTION_NAME, LEFT_BRACKET, LEFT_PAREN, LITERAL, MAX_TYPE, NODE_TYPE, NOT_A_TOKEN, NUMBER, OPERATOR, RIGHT_BRACKET, RIGHT_PAREN, VARIABLE_REF, WILDCARD_NAME`

Constructor Summary
`NumberToken(double number)` Construct Token representing an XPath number

Method Summary
`boolean` | `equals(Token rhs)` Compare this Token to passed Token
`double` | `getValue()` Return numeric value of number token
`String` | `toString()` Return text representing this NumberToken

Methods inherited from class com.novell.xml.xpath.Token
`dump, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumberToken

    public NumberToken(double number)

  Construct Token representing an XPath number

  Parameters:
    `number` - literal number to represent

Method Detail

### equals

    public boolean equals(Token rhs)

  Compare this Token to passed Token

  Overrides:
    `equals` in class `Token`
  Parameters:
    `rhs` - Token to compare against
  Returns:
    true if this Token equals rhs Token

### toString

    public String toString()

  Return text representing this NumberToken

  Overrides:
    `toString` in class `Token`
  Returns:
    String representing this Token

### getValue

    public double getValue()

  Return numeric value of number token

  Returns:
    value of number token

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD